$hamburger-spacing: 7px;
$hamburger-thickness: .14em;
$hamburger-size: 22px;
$cross-duration: 300ms;

.hamburger,
.hamburger::after,
.hamburger::before {
  background-color: $primary-color;
  border-radius: $hamburger-thickness;
  height: $hamburger-thickness;
  width: $hamburger-size;
}


.hamburger {
  @include transition(transform ($cross-duration) ease-in-out);
  display: block;
  margin: auto;
  position: relative;
  transform-origin: 50% 50%;

  &::after {
    @include transition(transform ($cross-duration / 2) ease-in-out, top ($cross-duration / 2) ease-in-out, left ($cross-duration / 2) ease-in-out);
    content: '';
    left: 0;
    position: absolute;
    top: $hamburger-spacing;
    transform-origin: 100% 0;
    width: 13px;

  }

  &::before {
    @include transition(transform ($cross-duration / 2) ease-in-out, top ($cross-duration / 2) ease-in-out, left ($cross-duration / 2) ease-in-out);
    content: '';
    left: 9px;
    position: absolute;
    top: - $hamburger-spacing;
    transform-origin: 0 100%;
    width: 13px;
  }
}

// .cross.hamburger {
.cross.hamburger {
  transform: rotate(-45deg);

  &::after {
    content: '';
    left: -3px;
    top: - $hamburger-spacing + 6px;
    transform: rotate(-45deg * 2);
  }

  &::before {
    content: '';
    left: 12px;
    top: $hamburger-spacing - 6px;
    transform: rotate(-45deg * 2);
  }
}

.hamburger-hotspot {
  cursor: pointer;
  display: flex;
  height: $hamburger-size + 14px;
  margin-left: -4px;
  pointer-events: all;
  position: relative;
  width: $hamburger-size + 14px;
}
